Page MenuHomePhabricator

Add links to https://tools.wmflabs.org/pageviews from top 10 wikis
Closed, ResolvedPublic2 Story Points

Description

Once https://tools.wmflabs.org/pageviews has multilingual support, add links to it from the page info page of other major Wikipedias (similar to what exists on English Wikipedia). See the bottom of https://en.wikipedia.org/w/index.php?title=Ivan_Panin_%28skier%29&action=info. I believe this is currently done with local MediaWiki messages.

Acceptance criteria:

  • Ask all top 10 wikis if it's OK to add a link (if they don't already have one)
  • All of the top 10 wikis have links to https://tools.wmflabs.org/pageviews from their page info pages (if they're OK with that) or another prominent location such as the page footer.

Event Timeline

kaldari created this task.Feb 23 2016, 6:29 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 6:29 PM
kaldari set the point value for this task to 2.
kaldari moved this task from Untriaged to Bug backlog on the Community-Tech board.
kaldari triaged this task as Normal priority.

Note i18n implementation might affect how the links are constructed. I think either way we'll add a &lang=en-US option, but by default hopefully the application itself will go by JavaScript's navigator.language to determine which language to use, which is the language the user's computer is set to.

The interface page is located at MediaWiki:Pageinfo-footer. I believe this is the same for all WMF wikis.

Many wikis also add pageviews links to MediaWiki:Histlegend, which appears at the top of revision history pages. We should aim to keep this updated as well.

kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)Mar 22 2016, 5:23 PM
DannyH added a subscriber: DannyH.Mar 23 2016, 12:05 AM

@kaldari -- I made a ticket for Johan to talk to the communities: T130682: Talk to top ten language WP communities about linking to new Pageviews Analysis from Pageinfo

In the top 10 WPs, the only ones with links to Pageviews are English and German. (Japanese has a link to stats.grok).

Should we use Johan's card for talking to people, and this card for actually making the changes?

Johan added a subscriber: Johan.Mar 23 2016, 10:05 AM

Makes sense.

kaldari renamed this task from Add links to https://tools.wmflabs.org/pageviews from page info pages to Add links to https://tools.wmflabs.org/pageviews from top 10 wikis.Apr 28 2016, 4:28 PM
kaldari updated the task description. (Show Details)

@Johan: This task is complete now, correct?

Johan closed this task as Resolved.Apr 28 2016, 4:42 PM
DannyH moved this task from Bug backlog to Archive on the Community-Tech board.May 10 2016, 4:59 PM